import argparse

from source.managers import Manager


parser = argparse.ArgumentParser(
    prog="ISRI-DRP",
    description="Create a network of machine that try to play an audio file synchronously."
)

parser.add_argument(
    "-i", "--interface",
    required=True,
    help="The interface on which other peers are accessible."
)

arguments = parser.parse_args()


manager = Manager(arguments.interface)
manager.loop()
